Index: trunk/SophyaLib/BaseTools/dvlist.cc
===================================================================
--- trunk/SophyaLib/BaseTools/dvlist.cc	(revision 3566)
+++ trunk/SophyaLib/BaseTools/dvlist.cc	(revision 3572)
@@ -115,5 +115,5 @@
 /* --Methode-- */
 /*! Copy constructor - Object initialized using the PPF file \b flnm */
-DVList::DVList(char *flnm)
+DVList::DVList(const char *flnm)
 {
 PInPersist s(flnm);
@@ -192,5 +192,5 @@
 // int_8   GetI(string const& key, int_8  def=-1)
 // r_8     GetD(string const& key, r_8 def=-9.e19)
-// string  GetS(string const& key, char* def="")
+// string  GetS(string const& key, const char* def="")
 //	Retourne la valeur de la variable de nom "key" et de type entier, réél, 
 //	chaine de caracteres.
@@ -245,5 +245,5 @@
 /*! Returns the value corresponding to name \b key, converted to string
     Default value \b def is returned if name \b key not found */
-string      DVList::GetS(string const& key, char* def) const
+string      DVList::GetS(string const& key, const char* def) const
 {
 ValList::const_iterator it = mvlist.find(key);
@@ -265,5 +265,5 @@
 // void  SetD(string const& key, r_8 val)
 // void  SetZ(string const& key, complex<r_8> val)
-// void  SetS(string const& key, char*  val)
+// void  SetS(string const& key, const char*  val)
 // void  SetS(string const& key, string val)
 //	Crée la variable de nom "key", de type entier, double, complexe, string et 
@@ -322,5 +322,5 @@
 /* --Methode-- */
 /*! Appends or sets the string value \b val in the list with name \b key */
-void        DVList::SetS(string const& key, char const* val)
+void        DVList::SetS(string const& key, const char * val)
 {
 MuTyV div(val);
Index: trunk/SophyaLib/BaseTools/dvlist.h
===================================================================
--- trunk/SophyaLib/BaseTools/dvlist.h	(revision 3566)
+++ trunk/SophyaLib/BaseTools/dvlist.h	(revision 3572)
@@ -25,5 +25,5 @@
                     DVList();
                     DVList(const DVList&);
-                    DVList(char *flnm);
+                    DVList(const char *flnm);
 
   virtual           ~DVList();
@@ -35,12 +35,12 @@
 
   //! Returns the number of elements (variables) in DVList object 
-  inline int	    Size() { return(mvlist.size()); }
+  inline size_t     Size() const { return(mvlist.size()); }
   //! Returns the number of elements (variables) in DVList object 
-  inline int	    NVar() { return(mvlist.size()); }
+  inline size_t     NVar() const { return(mvlist.size()); }
 
   int_8             GetI(string const& key, int_8 def=-1) const;
   r_8               GetD(string const& key, r_8 def=-9.e19) const;
   complex<r_8>      GetZ(string const& key, complex<r_8> def=-9.e19) const;
-  string            GetS(string const& key, char* def="") const;
+  string            GetS(string const& key, const char* def="") const;
   string            GetComment(string const& key) const;
 
@@ -51,5 +51,5 @@
   void              SetD(string const& key, r_8 val);
   void              SetZ(string const& key, complex<r_8> val);
-  void              SetS(string const& key, char const*  val);
+  void              SetS(string const& key, const char *  val);
   void              SetS(string const& key, string const& val);
   void              SetT(string const& key, TimeStamp const& val);
Index: trunk/SophyaLib/BaseTools/ppfbinstream.cc
===================================================================
--- trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 3566)
+++ trunk/SophyaLib/BaseTools/ppfbinstream.cc	(revision 3572)
@@ -511,5 +511,5 @@
 	GetI8(i8);  // nb objets toplevel
 	GetU8(ui8); // nb de nametag
-	for(int kt=0; kt<ui8; kt++) {
+	for(uint_8 kt=0; kt<ui8; kt++) {
 	  GetRawI4(i4);
 	  s->seekg(i4,ios::cur);
@@ -994,5 +994,5 @@
   int_4 tsz;
   GetRawI4(tsz);
-  if (tsz != sz)
+  if (tsz != (int_4)sz)
     throw FileFormatExc("PPFBinaryInputStream::GetPosTagTable Size mismatch ");
   for(int kk=0; kk<tsz; kk++)
@@ -1036,5 +1036,5 @@
   // Pour indenter lors de l'impression 
   #define _MXINDENT_ 10 
-  char * indents[_MXINDENT_+1] = {"","  ", "    ", "      ", "        ", "          ",
+  const char * indents[_MXINDENT_+1] = {"","  ", "    ", "      ", "        ", "          ",
 				    "            ", "              ", "                ",
 				    "                  ", "                    "};
@@ -1150,5 +1150,5 @@
 	  GetI8s(stats,8); 
 	  GetRawU8(ui8); // nb de nametag
-	  for(int kt=0; kt<ui8; kt++) {
+	  for(uint_8 kt=0; kt<ui8; kt++) {
 	    string tname;
 	    GetRawI8(i8);
Index: trunk/SophyaLib/BaseTools/sophyainit.cc
===================================================================
--- trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 3566)
+++ trunk/SophyaLib/BaseTools/sophyainit.cc	(revision 3572)
@@ -193,5 +193,5 @@
 double SophyaInitiator::GetVersion(string& svers)
 {
-  char* compiler = 0;
+  const char* compiler = 0;
   #ifdef __GNUG__
   compiler = "gcc " __VERSION__;
Index: trunk/SophyaLib/BaseTools/sversion.h
===================================================================
--- trunk/SophyaLib/BaseTools/sversion.h	(revision 3566)
+++ trunk/SophyaLib/BaseTools/sversion.h	(revision 3572)
@@ -3,6 +3,6 @@
 
 #define SOPHYA_VERSION   2.1
-#define SOPHYA_REVISION  25
-#define SOPHYA_TAG       "V_Sep2008"
+#define SOPHYA_REVISION  30
+#define SOPHYA_TAG       "V_Fev2009"
 
 #endif
